Bug 17745 - Wrong outgoing IP address with IP aliases
Wrong outgoing IP address with IP aliases
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-20 11:22 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-29 19:24:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-09-20 11:22:45 EDT
I have set up my machine with one IP alias interface (eth0:0). The to
adresses are assigned
correctly. But if I establish an outgoing connection the originating
address is not the primary
IP assigned to eth0, but the alias IP assigned to eth0:0. If I run "ifdown
eth0" and afterwards
"ifup eth0" everything works fine and the right IP address is used for
outgoing connections.
Comment 1 Bill Nottingham 2001-01-29 19:23:57 EST
That is done by the kernel; it's not an initscripts problem.
Comment 2 Michael K. Johnson 2001-01-30 18:00:52 EST
David Miller reports:
The selection of source address for outgoing packets
through primary or aliased interfaces is basically
arbitrary.

Those who absolutely require a specific source address
need to use the "ip" program to tell the kernel the
preferred source address for outgoing routes through
those interfaces.

Note You need to log in before you can comment on or make changes to this bug.